| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Static Public Attributes | Private Types | Private Member Functions | Private Attributes | Friends | List of all members
EventIDBase Class Reference

This class provides a unique identification for each event, in terms of run/event number and/or a time stamp. More...

`#include <GaudiKernel/EventIDBase.h>`

## Classes
class | SortByLumiEvent
class | SortByRunEvent
class | SortByRunLumi
class | SortByTimeStamp

## Public Types
typedef unsigned int | number_type
typedef uint64_t | event_number_t

## Public Member Functions
number_type | run_number () const
| run number - 32 bit unsigned More...
event_number_t | event_number () const
| event number - 64 bit unsigned More...
number_type | time_stamp () const
| time stamp - posix time in seconds from 1970, 32 bit unsigned More...
number_type | time_stamp_ns_offset () const
| time stamp ns - ns time offset for time_stamp, 32 bit unsigned More...
number_type | lumi_block () const
| luminosity block identifier, 32 bit unsigned More...
number_type | bunch_crossing_id () const
| bunch crossing ID, 32 bit unsigned More...
void | set_run_number (number_type runNumber)
| set run number More...
void | set_event_number (event_number_t eventNumber)
| set event number More...
void | set_time_stamp (number_type timeStamp)
| set time stamp More...
void | set_time_stamp_ns_offset (number_type timeStampNs)
| set time stamp in ns More...
void | set_lumi_block (number_type lumiBlock)
| set luminosity block identifier More...
void | set_bunch_crossing_id (number_type bcid)
| set bunch crossing ID More...
bool | isRunEvent () const
bool | isTimeStamp () const
bool | isLumiEvent () const
bool | isRunLumi () const
bool | isValid () const
structors
| EventIDBase ()
| EventIDBase (number_type run_number, event_number_t event_number, number_type time_stamp=UNDEFNUM, number_type time_stamp_ns_offset=0, number_type lumi_block=UNDEFNUM, number_type bunch_crossing_id=0)
virtual | ~EventIDBase ()

## Static Public Attributes
static const number_type | UNDEFNUM = std::numeric_limits<EventIDBase::number_type>::max()
static const event_number_t | UNDEFEVT = std::numeric_limits<EventIDBase::event_number_t>::max()

## Private Types
enum | Type { Invalid = 0, RunEvent = 1 << 1, TimeStamp = 1 << 2, LumiEvent = 1 << 3, RunLumi = 1 << 4 }

## Private Member Functions
void | setRE ()
void | setTS ()
void | setLE ()
void | setRL ()

## Private Attributes
unsigned | m_type {Invalid}
number_type | m_run_number {UNDEFNUM}
| run number More...
event_number_t | m_event_number {UNDEFEVT}
| event number More...
number_type | m_time_stamp {UNDEFNUM}
| posix time in seconds since 1970/01/01 More...
number_type | m_time_stamp_ns_offset {UNDEFNUM}
| time stamp ns - ns time offset for time_stamp, 32 bit unsigned More...
number_type | m_lumi_block {UNDEFNUM}
| luminosity block number: the number which uniquely tags a luminosity block within a run More...
number_type | m_bunch_crossing_id {UNDEFNUM}
| bunch crossing ID, 32 bit unsigned More...

## Friends
bool | operator< (const EventIDBase &lhs, const EventIDBase &rhs)
| Comparison operators. More...
bool | operator> (const EventIDBase &lhs, const EventIDBase &rhs)
bool | operator== (const EventIDBase &lhs, const EventIDBase &rhs)
bool | operator!= (const EventIDBase &lhs, const EventIDBase &rhs)
bool | operator<= (const EventIDBase &lhs, const EventIDBase &rhs)
bool | operator>= (const EventIDBase &lhs, const EventIDBase &rhs)
std::ostream & | operator<< (std::ostream &os, const EventIDBase &rhs)
| Extraction operators. More...

## Detailed Description

This class provides a unique identification for each event, in terms of run/event number and/or a time stamp.

Definition at line 28 of file EventIDBase.h.

## Member Typedef Documentation

typedef uint64_t EventIDBase::event_number_t

Definition at line 32 of file EventIDBase.h.

typedef unsigned int EventIDBase::number_type

Definition at line 31 of file EventIDBase.h.

## Member Enumeration Documentation

enum EventIDBase::Type
| private

Enumerator
Invalid |
RunEvent |
TimeStamp |
LumiEvent |
RunLumi |

Definition at line 177 of file EventIDBase.h.

177 { Invalid = 0, RunEvent = 1 << 1, TimeStamp = 1 << 2, LumiEvent = 1 << 3, RunLumi = 1 << 4 };
EventIDBase::LumiEvent
Definition: EventIDBase.h:177
EventIDBase::RunLumi
Definition: EventIDBase.h:177
EventIDBase::Invalid
Definition: EventIDBase.h:177
EventIDBase::RunEvent
Definition: EventIDBase.h:177
EventIDBase::TimeStamp
Definition: EventIDBase.h:177

## Constructor & Destructor Documentation

EventIDBase::EventIDBase | ( |  | ) |
| inline

Definition at line 40 of file EventIDBase.h.

40 {};

EventIDBase::EventIDBase | ( | number_type | run_number,
|  | event_number_t | event_number,
|  | number_type | time_stamp = `UNDEFNUM`,
|  | number_type | time_stamp_ns_offset = `0`,
|  | number_type | lumi_block = `UNDEFNUM`,
|  | number_type | bunch_crossing_id = `0`
| ) |  |

Definition at line 17 of file EventIDBase.cpp.

19 : m_run_number( run_number )
20 , m_event_number( event_number )
21 , m_time_stamp( time_stamp )
22 , m_time_stamp_ns_offset( time_stamp_ns_offset )
23 , m_lumi_block( lumi_block )
24 , m_bunch_crossing_id( bunch_crossing_id )
25 {
26 if ( m_run_number != UNDEFNUM && m_event_number != UNDEFEVT ) {
27 setRE();
28 }
29
30 if ( m_time_stamp != UNDEFNUM ) {
31 setTS();
32 if ( m_time_stamp_ns_offset == UNDEFNUM ) {
33 m_time_stamp_ns_offset = 0;
34 }
35 }
36
37 if ( m_lumi_block != UNDEFNUM && m_event_number != UNDEFEVT ) {
38 setLE();
39 }
40
41 if ( m_run_number != UNDEFNUM && m_lumi_block != UNDEFNUM ) {
42 setRL();
43 }
44 }
EventIDBase::UNDEFNUM
static const number_type UNDEFNUM
Definition: EventIDBase.h:34
EventIDBase::setLE
void setLE()
Definition: EventIDBase.h:183
EventIDBase::bunch_crossing_id
number_type bunch_crossing_id() const
bunch crossing ID, 32 bit unsigned
Definition: EventIDBase.h:64
EventIDBase::m_time_stamp_ns_offset
number_type m_time_stamp_ns_offset
time stamp ns - ns time offset for time_stamp, 32 bit unsigned
Definition: EventIDBase.h:196
EventIDBase::m_bunch_crossing_id
number_type m_bunch_crossing_id
bunch crossing ID, 32 bit unsigned
Definition: EventIDBase.h:203
EventIDBase::setRE
void setRE()
Definition: EventIDBase.h:181
EventIDBase::lumi_block
number_type lumi_block() const
luminosity block identifier, 32 bit unsigned
Definition: EventIDBase.h:61
EventIDBase::m_event_number
event_number_t m_event_number
event number
Definition: EventIDBase.h:190
EventIDBase::time_stamp
number_type time_stamp() const
time stamp - posix time in seconds from 1970, 32 bit unsigned
Definition: EventIDBase.h:55
EventIDBase::setRL
void setRL()
Definition: EventIDBase.h:184
EventIDBase::m_time_stamp
number_type m_time_stamp
posix time in seconds since 1970/01/01
Definition: EventIDBase.h:193
EventIDBase::m_lumi_block
number_type m_lumi_block
luminosity block number: the number which uniquely tags a luminosity block within a run ...
Definition: EventIDBase.h:200
EventIDBase::m_run_number
number_type m_run_number
run number
Definition: EventIDBase.h:187
EventIDBase::run_number
number_type run_number() const
run number - 32 bit unsigned
Definition: EventIDBase.h:49
EventIDBase::time_stamp_ns_offset
number_type time_stamp_ns_offset() const
time stamp ns - ns time offset for time_stamp, 32 bit unsigned
Definition: EventIDBase.h:58
EventIDBase::UNDEFEVT
static const event_number_t UNDEFEVT
Definition: EventIDBase.h:35
EventIDBase::setTS
void setTS()
Definition: EventIDBase.h:182
EventIDBase::event_number
event_number_t event_number() const
event number - 64 bit unsigned
Definition: EventIDBase.h:52

EventIDBase::~EventIDBase | ( |  | ) |
| virtual

Definition at line 46 of file EventIDBase.cpp.

46 {}

## Member Function Documentation

number_type EventIDBase::bunch_crossing_id | ( |  | ) | const
| inline

bunch crossing ID, 32 bit unsigned

Definition at line 64 of file EventIDBase.h.

64 { return m_bunch_crossing_id; }
EventIDBase::m_bunch_crossing_id
number_type m_bunch_crossing_id
bunch crossing ID, 32 bit unsigned
Definition: EventIDBase.h:203

event_number_t EventIDBase::event_number | ( |  | ) | const
| inline

event number - 64 bit unsigned

Definition at line 52 of file EventIDBase.h.

52 { return m_event_number; }
EventIDBase::m_event_number
event_number_t m_event_number
event number
Definition: EventIDBase.h:190

bool EventIDBase::isLumiEvent | ( |  | ) | const

Definition at line 52 of file EventIDBase.cpp.

52 { return ( m_type & LumiEvent ); }
EventIDBase::m_type
unsigned m_type
Definition: EventIDBase.h:179
EventIDBase::LumiEvent
Definition: EventIDBase.h:177

bool EventIDBase::isRunEvent | ( |  | ) | const

Definition at line 48 of file EventIDBase.cpp.

48 { return ( m_type & RunEvent ); }
EventIDBase::m_type
unsigned m_type
Definition: EventIDBase.h:179
EventIDBase::RunEvent
Definition: EventIDBase.h:177

bool EventIDBase::isRunLumi | ( |  | ) | const

Definition at line 54 of file EventIDBase.cpp.

54 { return ( m_type & RunLumi ); }
EventIDBase::m_type
unsigned m_type
Definition: EventIDBase.h:179
EventIDBase::RunLumi
Definition: EventIDBase.h:177

bool EventIDBase::isTimeStamp | ( |  | ) | const

Definition at line 50 of file EventIDBase.cpp.

50 { return ( m_type & TimeStamp ); }
EventIDBase::m_type
unsigned m_type
Definition: EventIDBase.h:179
EventIDBase::TimeStamp
Definition: EventIDBase.h:177

bool EventIDBase::isValid | ( |  | ) | const

Definition at line 56 of file EventIDBase.cpp.

56 { return ( m_type != Invalid ); }
EventIDBase::m_type
unsigned m_type
Definition: EventIDBase.h:179
EventIDBase::Invalid
Definition: EventIDBase.h:177

number_type EventIDBase::lumi_block | ( |  | ) | const
| inline

luminosity block identifier, 32 bit unsigned

Definition at line 61 of file EventIDBase.h.

61 { return m_lumi_block; }
EventIDBase::m_lumi_block
number_type m_lumi_block
luminosity block number: the number which uniquely tags a luminosity block within a run ...
Definition: EventIDBase.h:200

number_type EventIDBase::run_number | ( |  | ) | const
| inline

run number - 32 bit unsigned

Definition at line 49 of file EventIDBase.h.

49 { return m_run_number; }
EventIDBase::m_run_number
number_type m_run_number
run number
Definition: EventIDBase.h:187

void EventIDBase::set_bunch_crossing_id | ( | number_type | bcid | ) |
| inline

set bunch crossing ID

Definition at line 101 of file EventIDBase.h.

101 { m_bunch_crossing_id = bcid; }
EventIDBase::m_bunch_crossing_id
number_type m_bunch_crossing_id
bunch crossing ID, 32 bit unsigned
Definition: EventIDBase.h:203

void EventIDBase::set_event_number | ( | event_number_t | eventNumber | ) |
| inline

set event number

Definition at line 75 of file EventIDBase.h.

76 {
77 m_event_number = eventNumber;
78 if ( m_run_number != UNDEFNUM ) setRE();
79 if ( m_lumi_block != UNDEFNUM ) setLE();
80 }
EventIDBase::UNDEFNUM
static const number_type UNDEFNUM
Definition: EventIDBase.h:34
EventIDBase::setLE
void setLE()
Definition: EventIDBase.h:183
EventIDBase::setRE
void setRE()
Definition: EventIDBase.h:181
EventIDBase::m_event_number
event_number_t m_event_number
event number
Definition: EventIDBase.h:190
EventIDBase::m_lumi_block
number_type m_lumi_block
luminosity block number: the number which uniquely tags a luminosity block within a run ...
Definition: EventIDBase.h:200
EventIDBase::m_run_number
number_type m_run_number
run number
Definition: EventIDBase.h:187

void EventIDBase::set_lumi_block | ( | number_type | lumiBlock | ) |
| inline

set luminosity block identifier

Definition at line 93 of file EventIDBase.h.

94 {
95 m_lumi_block = lumiBlock;
96 if ( m_run_number != UNDEFNUM ) setRL();
97 if ( m_event_number != UNDEFEVT ) setLE();
98 }
EventIDBase::UNDEFNUM
static const number_type UNDEFNUM
Definition: EventIDBase.h:34
EventIDBase::setLE
void setLE()
Definition: EventIDBase.h:183
EventIDBase::m_event_number
event_number_t m_event_number
event number
Definition: EventIDBase.h:190
EventIDBase::setRL
void setRL()
Definition: EventIDBase.h:184
EventIDBase::m_lumi_block
number_type m_lumi_block
luminosity block number: the number which uniquely tags a luminosity block within a run ...
Definition: EventIDBase.h:200
EventIDBase::m_run_number
number_type m_run_number
run number
Definition: EventIDBase.h:187
EventIDBase::UNDEFEVT
static const event_number_t UNDEFEVT
Definition: EventIDBase.h:35

void EventIDBase::set_run_number | ( | number_type | runNumber | ) |
| inline

set run number

Definition at line 67 of file EventIDBase.h.

68 {
69 m_run_number = runNumber;
70 if ( m_event_number != UNDEFEVT ) setRE();
71 if ( m_lumi_block != UNDEFNUM ) setRL();
72 }
EventIDBase::UNDEFNUM
static const number_type UNDEFNUM
Definition: EventIDBase.h:34
EventIDBase::setRE
void setRE()
Definition: EventIDBase.h:181
EventIDBase::m_event_number
event_number_t m_event_number
event number
Definition: EventIDBase.h:190
EventIDBase::setRL
void setRL()
Definition: EventIDBase.h:184
EventIDBase::m_lumi_block
number_type m_lumi_block
luminosity block number: the number which uniquely tags a luminosity block within a run ...
Definition: EventIDBase.h:200
EventIDBase::m_run_number
number_type m_run_number
run number
Definition: EventIDBase.h:187
EventIDBase::UNDEFEVT
static const event_number_t UNDEFEVT
Definition: EventIDBase.h:35

void EventIDBase::set_time_stamp | ( | number_type | timeStamp | ) |
| inline

set time stamp

Definition at line 83 of file EventIDBase.h.

84 {
85 m_time_stamp = timeStamp;
86 setTS();
87 }
EventIDBase::m_time_stamp
number_type m_time_stamp
posix time in seconds since 1970/01/01
Definition: EventIDBase.h:193
EventIDBase::setTS
void setTS()
Definition: EventIDBase.h:182

void EventIDBase::set_time_stamp_ns_offset | ( | number_type | timeStampNs | ) |
| inline

set time stamp in ns

Definition at line 90 of file EventIDBase.h.

90 { m_time_stamp_ns_offset = timeStampNs; }
EventIDBase::m_time_stamp_ns_offset
number_type m_time_stamp_ns_offset
time stamp ns - ns time offset for time_stamp, 32 bit unsigned
Definition: EventIDBase.h:196

void EventIDBase::setLE | ( |  | ) |
| inline private

Definition at line 183 of file EventIDBase.h.

183 { m_type = m_type | LumiEvent; }
EventIDBase::m_type
unsigned m_type
Definition: EventIDBase.h:179
EventIDBase::LumiEvent
Definition: EventIDBase.h:177

void EventIDBase::setRE | ( |  | ) |
| inline private

Definition at line 181 of file EventIDBase.h.

181 { m_type = m_type | RunEvent; }
EventIDBase::m_type
unsigned m_type
Definition: EventIDBase.h:179
EventIDBase::RunEvent
Definition: EventIDBase.h:177

void EventIDBase::setRL | ( |  | ) |
| inline private

Definition at line 184 of file EventIDBase.h.

184 { m_type = m_type | RunLumi; }
EventIDBase::m_type
unsigned m_type
Definition: EventIDBase.h:179
EventIDBase::RunLumi
Definition: EventIDBase.h:177

void EventIDBase::setTS | ( |  | ) |
| inline private

Definition at line 182 of file EventIDBase.h.

182 { m_type = m_type | TimeStamp; }
EventIDBase::m_type
unsigned m_type
Definition: EventIDBase.h:179
EventIDBase::TimeStamp
Definition: EventIDBase.h:177

number_type EventIDBase::time_stamp | ( |  | ) | const
| inline

time stamp - posix time in seconds from 1970, 32 bit unsigned

Definition at line 55 of file EventIDBase.h.

55 { return m_time_stamp; }
EventIDBase::m_time_stamp
number_type m_time_stamp
posix time in seconds since 1970/01/01
Definition: EventIDBase.h:193

number_type EventIDBase::time_stamp_ns_offset | ( |  | ) | const
| inline

time stamp ns - ns time offset for time_stamp, 32 bit unsigned

Definition at line 58 of file EventIDBase.h.

58 { return m_time_stamp_ns_offset; }
EventIDBase::m_time_stamp_ns_offset
number_type m_time_stamp_ns_offset
time stamp ns - ns time offset for time_stamp, 32 bit unsigned
Definition: EventIDBase.h:196

## Friends And Related Function Documentation

bool operator!= | ( | const EventIDBase & | lhs,
|  | const EventIDBase & | rhs
| ) |  |
| friend

Definition at line 240 of file EventIDBase.h.

240 { return !( lhs == rhs ); }

bool operator< | ( | const EventIDBase & | lhs,
|  | const EventIDBase & | rhs
| ) |  |
| friend

Comparison operators.

Definition at line 206 of file EventIDBase.h.

207 {
208 // first try ordering by timestamp if both are non-zero
209 // then try ordering by run/lumi/event
210 // this assumes that both EventIDBase have the same set of values defined.
211
212 if ( lhs.isTimeStamp() && rhs.isTimeStamp() ) {
213 return ( lhs.m_time_stamp < rhs.m_time_stamp );
214 } else {
215 return ( std::tie( lhs.m_run_number, lhs.m_lumi_block, lhs.m_event_number ) <
216 std::tie( rhs.m_run_number, rhs.m_lumi_block, rhs.m_event_number ) );
217 }
218 }
std::tie
T tie(T...args)
EventIDBase::m_event_number
event_number_t m_event_number
event number
Definition: EventIDBase.h:190
EventIDBase::m_time_stamp
number_type m_time_stamp
posix time in seconds since 1970/01/01
Definition: EventIDBase.h:193
EventIDBase::m_lumi_block
number_type m_lumi_block
luminosity block number: the number which uniquely tags a luminosity block within a run ...
Definition: EventIDBase.h:200
EventIDBase::m_run_number
number_type m_run_number
run number
Definition: EventIDBase.h:187
EventIDBase::isTimeStamp
bool isTimeStamp() const
Definition: EventIDBase.cpp:50

std::ostream& operator<< | ( | std::ostream & | os,
|  | const EventIDBase & | rhs
| ) |  |
| friend

Extraction operators.

Definition at line 244 of file EventIDBase.h.

245 {
246 if ( rhs.m_type == EventIDBase::Invalid ) {
247 os << "[INVALID]";
248 return os;
249 }
250
251 os << "[" << rhs.m_run_number << "," << rhs.m_event_number;
252
253 if ( rhs.isTimeStamp() ) {
254 os << "," << rhs.m_time_stamp << ":" << rhs.m_time_stamp_ns_offset;
255 }
256
257 if ( rhs.isLumiEvent() || rhs.isRunLumi() ) {
258 os << ",l:" << rhs.m_lumi_block;
259 }
260
261 if ( rhs.m_bunch_crossing_id != 0 ) {
262 os << ",b:" << rhs.m_bunch_crossing_id;
263 }
264 os << "]";
265 return os;
266 }
EventIDBase::m_type
unsigned m_type
Definition: EventIDBase.h:179
EventIDBase::m_time_stamp_ns_offset
number_type m_time_stamp_ns_offset
time stamp ns - ns time offset for time_stamp, 32 bit unsigned
Definition: EventIDBase.h:196
EventIDBase::isRunLumi
bool isRunLumi() const
Definition: EventIDBase.cpp:54
EventIDBase::m_bunch_crossing_id
number_type m_bunch_crossing_id
bunch crossing ID, 32 bit unsigned
Definition: EventIDBase.h:203
EventIDBase::m_event_number
event_number_t m_event_number
event number
Definition: EventIDBase.h:190
EventIDBase::m_time_stamp
number_type m_time_stamp
posix time in seconds since 1970/01/01
Definition: EventIDBase.h:193
EventIDBase::m_lumi_block
number_type m_lumi_block
luminosity block number: the number which uniquely tags a luminosity block within a run ...
Definition: EventIDBase.h:200
EventIDBase::Invalid
Definition: EventIDBase.h:177
EventIDBase::m_run_number
number_type m_run_number
run number
Definition: EventIDBase.h:187
EventIDBase::isTimeStamp
bool isTimeStamp() const
Definition: EventIDBase.cpp:50
EventIDBase::isLumiEvent
bool isLumiEvent() const
Definition: EventIDBase.cpp:52

bool operator<= | ( | const EventIDBase & | lhs,
|  | const EventIDBase & | rhs
| ) |  |
| friend

Definition at line 241 of file EventIDBase.h.

241 { return !( lhs > rhs ); }

bool operator== | ( | const EventIDBase & | lhs,
|  | const EventIDBase & | rhs
| ) |  |
| friend

Definition at line 234 of file EventIDBase.h.

235 {
236 // We assume that equality via run/event/lumi numbers is sufficient
237 return ( lhs.m_run_number == rhs.m_run_number && lhs.m_event_number == rhs.m_event_number &&
238 lhs.m_lumi_block == rhs.m_lumi_block );
239 }
EventIDBase::m_event_number
event_number_t m_event_number
event number
Definition: EventIDBase.h:190
EventIDBase::m_lumi_block
number_type m_lumi_block
luminosity block number: the number which uniquely tags a luminosity block within a run ...
Definition: EventIDBase.h:200
EventIDBase::m_run_number
number_type m_run_number
run number
Definition: EventIDBase.h:187

bool operator> | ( | const EventIDBase & | lhs,
|  | const EventIDBase & | rhs
| ) |  |
| friend

Definition at line 220 of file EventIDBase.h.

221 {
222 // first try ordering by timestamp if both are non-zero
223 // then try ordering by run/lumi/event
224 // this assumes that both EventIDBase have the same set of values defined.
225
226 if ( lhs.isTimeStamp() && rhs.isTimeStamp() ) {
227 return ( lhs.m_time_stamp > rhs.m_time_stamp );
228 } else {
229 return ( std::tie( lhs.m_run_number, lhs.m_lumi_block, lhs.m_event_number ) >
230 std::tie( rhs.m_run_number, rhs.m_lumi_block, rhs.m_event_number ) );
231 }
232 }
std::tie
T tie(T...args)
EventIDBase::m_event_number
event_number_t m_event_number
event number
Definition: EventIDBase.h:190
EventIDBase::m_time_stamp
number_type m_time_stamp
posix time in seconds since 1970/01/01
Definition: EventIDBase.h:193
EventIDBase::m_lumi_block
number_type m_lumi_block
luminosity block number: the number which uniquely tags a luminosity block within a run ...
Definition: EventIDBase.h:200
EventIDBase::m_run_number
number_type m_run_number
run number
Definition: EventIDBase.h:187
EventIDBase::isTimeStamp
bool isTimeStamp() const
Definition: EventIDBase.cpp:50

bool operator>= | ( | const EventIDBase & | lhs,
|  | const EventIDBase & | rhs
| ) |  |
| friend

Definition at line 242 of file EventIDBase.h.

242 { return !( lhs < rhs ); }

## Member Data Documentation

number_type EventIDBase::m_bunch_crossing_id {UNDEFNUM}
| private

bunch crossing ID, 32 bit unsigned

Definition at line 203 of file EventIDBase.h.

event_number_t EventIDBase::m_event_number {UNDEFEVT}
| private

event number

Definition at line 190 of file EventIDBase.h.

number_type EventIDBase::m_lumi_block {UNDEFNUM}
| private

luminosity block number: the number which uniquely tags a luminosity block within a run

Definition at line 200 of file EventIDBase.h.

number_type EventIDBase::m_run_number {UNDEFNUM}
| private

run number

Definition at line 187 of file EventIDBase.h.

number_type EventIDBase::m_time_stamp {UNDEFNUM}
| private

posix time in seconds since 1970/01/01

Definition at line 193 of file EventIDBase.h.

number_type EventIDBase::m_time_stamp_ns_offset {UNDEFNUM}
| private

time stamp ns - ns time offset for time_stamp, 32 bit unsigned

Definition at line 196 of file EventIDBase.h.

unsigned EventIDBase::m_type {Invalid}
| private

Definition at line 179 of file EventIDBase.h.

const EventIDBase::event_number_t EventIDBase::UNDEFEVT = std::numeric_limits<EventIDBase::event_number_t>::max()
| static

Definition at line 35 of file EventIDBase.h.

const EventIDBase::number_type EventIDBase::UNDEFNUM = std::numeric_limits<EventIDBase::number_type>::max()
| static

Definition at line 34 of file EventIDBase.h.

The documentation for this class was generated from the following files:

- GaudiKernel/GaudiKernel/EventIDBase.h
- GaudiKernel/src/Lib/EventIDBase.cpp